package com.zg.project.wisdom.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 库存单据主对象 rk_info
 * 
 * @author zg
 * @date 2025-05-28
 */
public class RkInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模糊搜索关键字（项目号、项目描述、物料号、物料描述、供应商编码、供应商名称，订单编号） */
    private String keyword;

    /** 主键ID */
    private Long id;

    /** 库龄 */
    private Long stockAge;

    /** 入库类型 */
//    @Excel(name = "入库类型")
    private String rkType;

    /** 物资类型 */
//    @Excel(name = "物资类型")
    private String wlType;

    /** 所属仓库 */
//    @Excel(name = "所属仓库")
    private String cangku;

    /** 入库类型名称（联查显示用，导出专用） */
    @Excel(name = "入库类型名称")
    private String rkTypeName;

    /** 物资类型名称（联查显示用，导出专用） */
    @Excel(name = "物资类型名称")
    private String wlTypeName;

    /** 所属仓库名称（联查显示用，导出专用） */
    @Excel(name = "所属仓库名称")
    private String cangkuName;

    /** 入库时间（用户操作入库的日期） */
    @Excel(name = "入库时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date rkTime;

    /** 理货员 */
    @Excel(name = "理货员")
    private String lihuoY;

    /** 是否已出库（0未出库，1已出库） */
    @Excel(name = "是否已出库", readConverterExp = "0=已入库，1已出库")
    private String isChuku;

    /** 单据号 */
    @Excel(name = "单据号")
    private String billNo;

    /** 县局 */
    @Excel(name = "县局")
    private String xj;

    /** 项目号 */
    @Excel(name = "项目号")
    private String xmNo;

    /** 项目描述 */
    @Excel(name = "项目描述")
    private String xmMs;

    /** 物料号 */
    @Excel(name = "物料号")
    private String wlNo;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String wlMs;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String gysNo;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String gysMc;

    /** 计划交货金额 */
    @Excel(name = "计划交货金额")
    private BigDecimal jhAmt;

    /** 合同单价 */
    @Excel(name = "合同单价")
    private BigDecimal htDj;

    /** SAP订单编号 */
    @Excel(name = "SAP订单编号")
    private String sapNo;

    /** 行号 */
    @Excel(name = "行号")
    private String xh;

    /** 计划交货数量 */
    @Excel(name = "计划交货数量")
    private Long jhQty;

    /** 合同数量 */
    @Excel(name = "合同数量")
    private Long htQty;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String dw;

    /** 实际入库数量 */
    @Excel(name = "实际入库数量")
    private Long realQty;

    /** 库位码 */
    @Excel(name = "库位码")
    private String pcode;

    /** 库位主键ID */
    @Excel(name = "库位主键ID")
    private String pcodeId;

    /** 托盘码 */
    @Excel(name = "托盘码")
    private String trayCode;

    /** 实物ID */
    @Excel(name = "实物ID")
    private String entityId;

    @Excel(name = "出库理货员")
    private String ckLihuoY;

//    @Excel(name = "出库类型编号")
    private String ckType;

    @Excel(name = "出库类型名称")
    private String ckTypeName;

//    @Excel(name = "施工队编号")
    private String teamCode;

    @Excel(name = "施工队名称")
    private String teamName;
//  出库时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "领用时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lyTime;

    @Excel(name = "出库备注")
    private String ckRemark;
    /** 是否删除（0 表示正常，1 表示已删除） */
//    @Excel(name = "是否删除", readConverterExp = "0=,表=示正常，1,表=示已删除")
    private String isDelete;

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRkType(String rkType) 
    {
        this.rkType = rkType;
    }

    public String getRkType() 
    {
        return rkType;
    }

    public Long getStockAge() {
        return stockAge;
    }

    public void setStockAge(Long stockAge) {
        this.stockAge = stockAge;
    }

    public void setWlType(String wlType) 
    {
        this.wlType = wlType;
    }

    public String getWlType() 
    {
        return wlType;
    }

    public void setCangku(String cangku) 
    {
        this.cangku = cangku;
    }

    public String getCangku() 
    {
        return cangku;
    }

    public String getRkTypeName() {
        return rkTypeName;
    }
    public void setRkTypeName(String rkTypeName) {
        this.rkTypeName = rkTypeName;
    }

    public String getWlTypeName() {
        return wlTypeName;
    }
    public void setWlTypeName(String wlTypeName) {
        this.wlTypeName = wlTypeName;
    }

    public String getCangkuName() {
        return cangkuName;
    }
    public void setCangkuName(String cangkuName) {
        this.cangkuName = cangkuName;
    }

    public void setRkTime(Date rkTime) 
    {
        this.rkTime = rkTime;
    }

    public Date getRkTime() 
    {
        return rkTime;
    }

    public void setLihuoY(String lihuoY) 
    {
        this.lihuoY = lihuoY;
    }

    public String getLihuoY() 
    {
        return lihuoY;
    }

    public void setIsChuku(String isChuku) 
    {
        this.isChuku = isChuku;
    }

    public String getIsChuku() 
    {
        return isChuku;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public void setXj(String xj) 
    {
        this.xj = xj;
    }

    public String getXj() 
    {
        return xj;
    }

    public void setXmNo(String xmNo) 
    {
        this.xmNo = xmNo;
    }

    public String getXmNo() 
    {
        return xmNo;
    }

    public void setXmMs(String xmMs) 
    {
        this.xmMs = xmMs;
    }

    public String getXmMs() 
    {
        return xmMs;
    }

    public void setWlNo(String wlNo) 
    {
        this.wlNo = wlNo;
    }

    public String getWlNo() 
    {
        return wlNo;
    }

    public void setWlMs(String wlMs) 
    {
        this.wlMs = wlMs;
    }

    public String getWlMs() 
    {
        return wlMs;
    }

    public void setGysNo(String gysNo) 
    {
        this.gysNo = gysNo;
    }

    public String getGysNo() 
    {
        return gysNo;
    }

    public void setGysMc(String gysMc) 
    {
        this.gysMc = gysMc;
    }

    public String getGysMc() 
    {
        return gysMc;
    }

    public void setJhAmt(BigDecimal jhAmt) 
    {
        this.jhAmt = jhAmt;
    }

    public BigDecimal getJhAmt() 
    {
        return jhAmt;
    }

    public void setHtDj(BigDecimal htDj) 
    {
        this.htDj = htDj;
    }

    public BigDecimal getHtDj() 
    {
        return htDj;
    }

    public void setSapNo(String sapNo) 
    {
        this.sapNo = sapNo;
    }

    public String getSapNo() 
    {
        return sapNo;
    }

    public void setXh(String xh) 
    {
        this.xh = xh;
    }

    public String getXh() 
    {
        return xh;
    }

    public void setJhQty(Long jhQty) 
    {
        this.jhQty = jhQty;
    }

    public Long getJhQty() 
    {
        return jhQty;
    }

    public void setHtQty(Long htQty) 
    {
        this.htQty = htQty;
    }

    public Long getHtQty() 
    {
        return htQty;
    }

    public void setDw(String dw) 
    {
        this.dw = dw;
    }

    public String getDw() 
    {
        return dw;
    }

    public void setRealQty(Long realQty) 
    {
        this.realQty = realQty;
    }

    public Long getRealQty() 
    {
        return realQty;
    }

    public void setPcode(String pcode) 
    {
        this.pcode = pcode;
    }

    public String getPcode() 
    {
        return pcode;
    }

    public void setPcodeId(String pcodeId) {
        this.pcodeId = pcodeId;
    }

    public String getPcodeId() {
        return pcodeId;
    }

    public void setTrayCode(String trayCode) 
    {
        this.trayCode = trayCode;
    }

    public String getTrayCode() 
    {
        return trayCode;
    }

    public void setEntityId(String entityId) 
    {
        this.entityId = entityId;
    }

    public String getEntityId() 
    {
        return entityId;
    }

    public String getCkLihuoY() {
        return ckLihuoY;
    }

    public void setCkLihuoY(String ckLihuoY) {
        this.ckLihuoY = ckLihuoY;
    }

    public String getCkType() {
        return ckType;
    }

    public void setCkType(String ckType) {
        this.ckType = ckType;
    }

    public String getCkTypeName() {
        return ckTypeName;
    }

    public void setCkTypeName(String ckTypeName) {
        this.ckTypeName = ckTypeName;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getCkRemark() {
        return ckRemark;
    }

    public void setCkRemark(String ckRemark) {
        this.ckRemark = ckRemark;
    }

    public Date getLyTime() {
        return lyTime;
    }

    public void setLyTime(Date lyTime) {
        this.lyTime = lyTime;
    }

    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("rkType", getRkType())
            .append("wlType", getWlType())
            .append("cangku", getCangku())
            .append("rkTime", getRkTime())
            .append("lihuoY", getLihuoY())
            .append("isChuku", getIsChuku())
            .append("billNo", getBillNo())
            .append("remark", getRemark())
            .append("xj", getXj())
            .append("xmNo", getXmNo())
            .append("xmMs", getXmMs())
            .append("wlNo", getWlNo())
            .append("wlMs", getWlMs())
            .append("gysNo", getGysNo())
            .append("gysMc", getGysMc())
            .append("jhAmt", getJhAmt())
            .append("htDj", getHtDj())
            .append("sapNo", getSapNo())
            .append("xh", getXh())
            .append("jhQty", getJhQty())
            .append("htQty", getHtQty())
            .append("dw", getDw())
            .append("realQty", getRealQty())
            .append("pcode", getPcode())
            .append("pcodeId", getPcodeId())
            .append("trayCode", getTrayCode())
            .append("entityId", getEntityId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("ckLihuoY", getCkLihuoY())
            .append("ckType", getCkType())
            .append("ckTypeName", getCkTypeName())
            .append("teamCode", getTeamCode())
            .append("teamName", getTeamName())
            .append("lyTime", getLyTime())
            .append("ckRemark", getCkRemark())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
